<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="Привод окна" description="Привод окна"
	fileName="NPCWindowEngine.jar" className="org.mati.npc.components.windowengine.NPCWindowEngine"
	version="8872" time="17.02.2009 01:05:07">

	<Group>Умный дом</Group>

	<INLink name="Open" description="Открыть окно."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="Close" description="Закрыть окно."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="ForceOpen" description="Окно открыто."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="ForceClose" description="Окно закрыто."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>

	<OUTLink name="OutIsOpen"
		description="Передается true, если окно открыто."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>

	<OUTLink name="OutIsClose"
		description="Передается true, если окно закрыто."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutMove"
		description="Исходящая связь, для управления движением привода."
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="1" nullable="false">
	</OUTLink>

	<OUTLink name="OutDirection"
		description="Исходящай связь для управления направлением движения."
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="1" nullable="false">
	</OUTLink>
	
	<Attribute name="SwitchTime" description="Время переключения между направлением и подачей напряжения на двигатель. По умолчанию 1 000 милисекунд"
		nullable="true" type="java.lang.Integer" defaultValue="1000">
	</Attribute>
	<Attribute name="OpenTime" description="Время открытия. По умолчанию 0 милисекунд"
		nullable="true" type="java.lang.Integer" defaultValue="0">
	</Attribute>
	<Attribute name="CloseTime" description="Время закрытия. По умолчанию 0 милисекунд"
		nullable="true" type="java.lang.Integer" defaultValue="0">
	</Attribute>

</ClassComponent>